com.independentsoft.exchange

## Class CalendarPermissionSet

- java.lang.Object
- - com.independentsoft.exchange.CalendarPermissionSet

-     public class CalendarPermissionSet
      extends java.lang.Object

  Contains all the permissions that are configured for a calendar folder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarPermissionSet()` Initializes a new instance of the CalendarPermissionSet class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getEntries()` Contains a list of unknown entries that cannot be resolved against the Active Directory directory service.
    `java.util.List<CalendarPermission>` | `getPermissions()` Gets a list of calendar permissions for a folder.
    `java.lang.String` | `toString()` Converts the value of the current CalendarPermissionSet object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarPermissionSet

          public CalendarPermissionSet()

      Initializes a new instance of the CalendarPermissionSet class.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current CalendarPermissionSet object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPermissions

          public java.util.List<CalendarPermission> getPermissions()

      Gets a list of calendar permissions for a folder.
      Returns:
        the permissions

    - #### getEntries

          public java.util.List<java.lang.String> getEntries()

      Contains a list of unknown entries that cannot be resolved against the Active Directory directory service.
      Returns:
        the entries